// pages/ucenter/notice/notice.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    userInfo: {},
    isLogin: false,
    noticeList: []
  },
  goInfo(e) {
    console.log(e);
    let {
      keywords
    } = e.currentTarget.dataset;
    //console.log(notice);
    let notice = JSON.stringify(keywords);
    notice = encodeURIComponent(notice)
    console.log(notice);
    let url = '/pages/ucenter/notice_info/notice_info?notice=' + notice;
    wx.navigateTo({
      url
    });
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let that = this;
    let userInfo = wx.getStorageSync('userInfo');
    let isLogin = wx.getStorageSync('isLogin');
    //console.log(userInfo);
    wx.request({
      url: getApp().globalData.postHeadAgreement + '/restapi/wechat/noticeList',
      data: { loginName: userInfo.loginName },
      method: 'POST',
      success(res) {
        if (res.data) {
          that.setData({
            noticeList: res.data
          });
        }
      },
      fail(e) {
        console.log(e);
      }
    });
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function (e) {
   
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})